# Generated from rabbit-slide-kou-devmi-2013-2013.3.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-devmi-2013

Name: rubygem-%{gem_name}
Version: 2013.3.2.5
Release: 1%{?dist}
Summary: 開発者は仕事でリーダブルなコードを書けるのか？
License: CC BY-SA 3.0
URL: http://slide.rabbit-shocker.org/authors/kou/devmi-2013/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
ビジネスアプリケーションにおいても高速／堅牢な、保守性の高いプログラミングが求められています。
去年は「リーダブルなコード」に注目が集まりましたが、具体的に開発者へどんなメリットをもたらすのでしょうか？また、「リーダブルなコード」のコンセプトや手法は現場へ導入可能なのでしょうか？
本セッションでは、リーダブルなコードの概要を紹介した上で開発者にとってのメリットと現場導入について考察します。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/can-developer-write-readable-code.rab
%{gem_instdir}/config.yaml
%{gem_instdir}/pdf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Wed Apr 20 2022 mockbuilder - 2013.3.2.5-1
- Initial package
